Bug 241981 - www/gitea: Update to 1.10.0
Summary: www/gitea: Update to 1.10.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kai Knoblich
URL: https://blog.gitea.io/2019/11/gitea-1...
Keywords: security
Depends on:
Blocks:
 
Reported: 2019-11-15 10:21 UTC by Nils Johannsen
Modified: 2019-11-23 11:11 UTC (History)
5 users (show)

See Also:
stb: maintainer-feedback+
kai: merge-quarterly+


Attachments
vuln.xml with new entry for gitea 1.10.0 (1.17 KB, patch)
2019-11-17 12:18 UTC, Nils Johannsen
kai: maintainer-approval+
Details | Diff
gitea-1.10.0.patch (26.21 KB, patch)
2019-11-19 12:51 UTC, Marius Halden
kai: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nils Johannsen 2019-11-15 10:21:10 UTC
Update port to Gitea 1.10.
This release fixes one security issue and bugs.

Announcement: https://blog.gitea.io/2019/11/gitea-1.10.0-is-released/
Comment 1 stb 2019-11-15 12:26:16 UTC
Would you mind preparing a vulnxml entry for the security fixes as well?
Comment 2 Nils Johannsen 2019-11-17 12:18:18 UTC
Created attachment 209204 [details]
vuln.xml with new entry for gitea 1.10.0

Ok, find attached my first attempt to adapt the vuln.xml.
Comment 3 Marius Halden 2019-11-19 12:51:38 UTC
Created attachment 209250 [details]
gitea-1.10.0.patch

The attached patch updates the port to v1.10.0.
Comment 4 stb 2019-11-19 22:09:54 UTC
Looks good to me!
Comment 5 Kai Knoblich freebsd_committer 2019-11-22 09:42:14 UTC
Comment on attachment 209204 [details]
vuln.xml with new entry for gitea 1.10.0

^ Triage: Set maintainer-approval to '+' that was given implicitly with comment #4.
Comment 6 Kai Knoblich freebsd_committer 2019-11-22 09:42:30 UTC
Comment on attachment 209250 [details]
gitea-1.10.0.patch

^ Triage: Set maintainer-approval to '+' that was given implicitly with comment #4.
Comment 7 commit-hook freebsd_committer 2019-11-22 11:15:48 UTC
A commit references this bug:

Author: kai
Date: Fri Nov 22 11:15:10 UTC 2019
New revision: 518141
URL: https://svnweb.freebsd.org/changeset/ports/518141

Log:
  security/vuxml: Document www/gitea issues

  PR:		241981
  Submitted by:	Nils Johannsen <nilsjohannsen@gmx.de> (based on)
  Approved by:	stb@lassitu.de (maintainer)

Changes:
  head/security/vuxml/vuln.xml
Comment 8 commit-hook freebsd_committer 2019-11-22 17:51:23 UTC
A commit references this bug:

Author: kai
Date: Fri Nov 22 17:51:13 UTC 2019
New revision: 518156
URL: https://svnweb.freebsd.org/changeset/ports/518156

Log:
  www/gitea: Update to 1.10.0

  * Pet portlint by removing empty line at the beginning while I'm here.

  Changelog:

  https://blog.gitea.io/2019/11/gitea-1.10.0-is-released/

  PR:		241981
  Submitted by:	Marius Halden <marius.halden@modirum.com>
  Reported by:	Nils Johannsen <nilsjohannsen@gmx.de>
  Approved by:	stb@lassitu.de (maintainer)
  MFH:		2019Q4
  Security:	b12a341a-0932-11ea-bf09-080027e0baa0

Changes:
  head/www/gitea/Makefile
  head/www/gitea/distinfo
  head/www/gitea/pkg-plist
Comment 9 Kai Knoblich freebsd_committer 2019-11-22 17:55:31 UTC
Committed to the head branch, thank you all for the patches and the feedback!

Still waiting for approval from the ports-secteam to merge the changes into the 2019Q4 branch.
Comment 10 commit-hook freebsd_committer 2019-11-23 11:08:31 UTC
A commit references this bug:

Author: kai
Date: Sat Nov 23 11:08:07 UTC 2019
New revision: 518220
URL: https://svnweb.freebsd.org/changeset/ports/518220

Log:
  MFH: r518156

  www/gitea: Update to 1.10.0

  * Pet portlint by removing empty line at the beginning while I'm here.

  Changelog:

  https://blog.gitea.io/2019/11/gitea-1.10.0-is-released/

  PR:		241981
  Submitted by:	Marius Halden <marius.halden@modirum.com>
  Reported by:	Nils Johannsen <nilsjohannsen@gmx.de>
  Approved by:	stb@lassitu.de (maintainer)
  Security:	b12a341a-0932-11ea-bf09-080027e0baa0

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2019Q4/
  branches/2019Q4/www/gitea/Makefile
  branches/2019Q4/www/gitea/distinfo
  branches/2019Q4/www/gitea/pkg-plist
Comment 11 Kai Knoblich freebsd_committer 2019-11-23 11:11:05 UTC
Committed to the 2019Q4 branch, all done!